# Uses of Class
org.eclipse.jface.text.ITextViewerExtension8.EnrichMode

Packages that use ITextViewerExtension8.EnrichMode
Package
Description
org.eclipse.jface.text
Provides a framework for creating and manipulating text documents.
org.eclipse.jface.text.source
Provides a framework for connecting document regions with annotations and for displaying those.

## Uses of ITextViewerExtension8.EnrichMode in org.eclipse.jface.text

Fields in org.eclipse.jface.text declared as ITextViewerExtension8.EnrichMode
Modifier and Type
Field
Description
`static final ITextViewerExtension8.EnrichMode`
ITextViewerExtension8.EnrichMode.`AFTER_DELAY`
Enrich the hover shortly after the mouse has been moved into it and stopped moving.
`static final ITextViewerExtension8.EnrichMode`
ITextViewerExtension8.EnrichMode.`IMMEDIATELY`
Enrich the hover immediately when the mouse is moved into it.
`static final ITextViewerExtension8.EnrichMode`
ITextViewerExtension8.EnrichMode.`ON_CLICK`
Enrich the hover on explicit mouse click.
Methods in org.eclipse.jface.text with parameters of type ITextViewerExtension8.EnrichMode
Modifier and Type
Method
Description
`void`
ITextViewerExtension8.`setHoverEnrichMode(ITextViewerExtension8.EnrichMode mode)`
Sets the hover enrich mode.
`void`
TextViewer.`setHoverEnrichMode(ITextViewerExtension8.EnrichMode mode)`
Sets the hover enrich mode.

## Uses of ITextViewerExtension8.EnrichMode in org.eclipse.jface.text.source

Methods in org.eclipse.jface.text.source with parameters of type ITextViewerExtension8.EnrichMode
Modifier and Type
Method
Description
`void`
SourceViewer.`setHoverEnrichMode(ITextViewerExtension8.EnrichMode mode)`